<?php
session_start();
include 'db_connect.php';

if (!isset($_SESSION['user_id']) || !isset($_GET['user'])) {
    die("Zugriff verweigert");
}

$sender_id = $_SESSION['user_id'];
$receiver_id = $_GET['user'];

$stmt = $pdo->prepare("SELECT * FROM messages 
                       WHERE (sender_id = :sender_id AND receiver_id = :receiver_id) 
                          OR (sender_id = :receiver_id AND receiver_id = :sender_id) 
                       ORDER BY sent_at ASC");

$stmt->execute([
    ':sender_id' => $sender_id,
    ':receiver_id' => $receiver_id
]);
$messages = $stmt->fetchAll(PDO::FETCH_ASSOC);

$stmt3324 = $pdo->prepare("SELECT * FROM users WHERE id = :user_id");
$stmt3324->execute([':user_id' => $receiver_id]);
$receiver = $stmt3324->fetch(PDO::FETCH_ASSOC);


?>

<?php foreach ($messages as $msg): ?>
    <p><strong><?= ($msg['sender_id'] == $sender_id) ? "Du" : htmlspecialchars($receiver['username']); ?>:</strong>                        <?= htmlspecialchars($msg['message']); ?>
        <small><?= $msg['sent_at']; ?></small>
    </p>
<?php endforeach; ?>
