<?php 
include '../db_connect.php';

if(isset($_POST['signup'])){
    $username = trim($_POST['username']);
    $email = trim($_POST['email']);
    $password = trim($_POST['password']);

    //Password verschlüsseln
    $hashedPassword = password_hash($password, PASSWORD_DEFAULT);


    //mit try befehl wird geschaut ob es bereits ein Nutzer mit dem selben username gibt oder ob es auch andere Fehler gibt
    try{
        //Username, Email und verschlüsseltes Password wird in die Datenbank geschrieben
        $stmt = $pdo->prepare("INSERT INTO users (username, email, password) VALUES (:username, :email, :password)");
        $stmt->execute([
            ':username' => $username,
            ':email' => $email,
            ':password' => $hashedPassword
        ]);
        header("Location: ../index.php");
    }catch (PDOException $e){
        if($e->getCode() == 23000){
            header("Location: ../userused.html");
        }else {
            echo "Fehler: " . $e->getMessage();
        }
    }

}


?>